%clearfix {
  &:after {
    content: '';
    display: table;
    clear: both;
  }
}
//font setup
%font-light {
  font-weight: 300;
}
%font-regular {
  font-weight: 400;
}
%font-medium {
  font-weight: 500;
}
%font-bold {
  font-weight: 700;
}
%opensans-regular {
  font-weight: 400;
}
%opensans-semibold {
  font-weight: 600;
}
%opensans-bold {
  font-weight: 700;
}
//position setup
%relative {
  position: relative;
}
%absolute {
  position: absolute;
}
//favorite extends
%transition-favorite {
  -webkit-transition: all 0.4s;
  -moz-transition: all 0.4s;
  -ms-transition: all 0.4s;
  -o-transition: all 0.4s;
  transition: all 0.4s;
}
%flex-centered {
  display: flex;
  align-items: center;
  justify-content: center;
}
%flex-absolute-centered {
  display: flex;
  align-items: center;
  justify-content: center;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  position: absolute;
}
%all0000 {
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}
%absolute0000 {
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  position: absolute;
}
%max-size {
  height: 100%;
  width: 100%;
}
%absolute-max-size {
  height: 100%;
  width: 100%;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  position: absolute;
}
%flex-absolute-max-size {
  display: flex;
  height: 100%;
  width: 100%;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  position: absolute;
}
%flex-absolute-centered-max-size {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 100%;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  position: absolute;
}
%margin-right-left-auto {
  margin-right: auto;
  margin-left: auto;
}